StatisticsStrategy::StatTracker Struct Reference

Tracks statistics on slices. More...

## Public Member Functions

| StatTracker (const string &title)
| The title parameter indicates what is to be printed when calling printReport().
void | preliminaryRecord (const Slice &slice)
| Record information about slice, but store it only until this method is next called on this object.
void | commitRecord ()
| Commit the most recent argument to preliminaryTrack permanently to the record.
void | printReport (FILE *out) const
| Print a report on statistics of the recorded slices to the file out.
const mpz_class & | getNodeCount () const
double | getAvgIdealGenCount () const
double | getAvgSubGenCount () const
double | getAvgVarCount () const

## Private Attributes

string | _title
size_t | _prelimIdealGenCount
size_t | _prelimSubGenCount
size_t | _prelimVarCount
mpz_class | _nodeCount
mpz_class | _idealGenSum
mpz_class | _subGenSum
mpz_class | _varSum
map< size_t, mpz_class > | _nodesByGenCount
| _nodesByGenCount[l] records how many slices have been recorded whose ideal has approximately 2^l generators.

## Detailed Description

Tracks statistics on slices.

Definition at line 49 of file StatisticsStrategy.h.

## Constructor & Destructor Documentation

## StatTracker()

StatisticsStrategy::StatTracker::StatTracker | ( | const string & | title | ) |

The title parameter indicates what is to be printed when calling printReport().

Definition at line 74 of file StatisticsStrategy.cpp.

## Member Function Documentation

## commitRecord()

void StatisticsStrategy::StatTracker::commitRecord | ( |  | ) |

Commit the most recent argument to preliminaryTrack permanently to the record.

Definition at line 84 of file StatisticsStrategy.cpp.

## getAvgIdealGenCount()

double StatisticsStrategy::StatTracker::getAvgIdealGenCount | ( |  | ) | const

Definition at line 130 of file StatisticsStrategy.cpp.

## getAvgSubGenCount()

double StatisticsStrategy::StatTracker::getAvgSubGenCount | ( |  | ) | const

Definition at line 139 of file StatisticsStrategy.cpp.

## getAvgVarCount()

double StatisticsStrategy::StatTracker::getAvgVarCount | ( |  | ) | const

Definition at line 148 of file StatisticsStrategy.cpp.

## getNodeCount()

const mpz_class & StatisticsStrategy::StatTracker::getNodeCount | ( |  | ) | const

Definition at line 126 of file StatisticsStrategy.cpp.

## preliminaryRecord()

void StatisticsStrategy::StatTracker::preliminaryRecord | ( | const Slice & | slice | ) |

Record information about slice, but store it only until this method is next called on this object.

Definition at line 78 of file StatisticsStrategy.cpp.

## printReport()

void StatisticsStrategy::StatTracker::printReport | ( | FILE * | out | ) | const

Print a report on statistics of the recorded slices to the file out.

Definition at line 97 of file StatisticsStrategy.cpp.

## Member Data Documentation

## _idealGenSum

mpz_class StatisticsStrategy::StatTracker::_idealGenSum

private

Definition at line 81 of file StatisticsStrategy.h.

## _nodeCount

mpz_class StatisticsStrategy::StatTracker::_nodeCount

private

Definition at line 80 of file StatisticsStrategy.h.

## _nodesByGenCount

map<size_t, mpz_class> StatisticsStrategy::StatTracker::_nodesByGenCount

private

_nodesByGenCount[l] records how many slices have been recorded whose ideal has approximately 2^l generators.

Definition at line 87 of file StatisticsStrategy.h.

## _prelimIdealGenCount

size_t StatisticsStrategy::StatTracker::_prelimIdealGenCount

private

Definition at line 76 of file StatisticsStrategy.h.

## _prelimSubGenCount

size_t StatisticsStrategy::StatTracker::_prelimSubGenCount

private

Definition at line 77 of file StatisticsStrategy.h.

## _prelimVarCount

size_t StatisticsStrategy::StatTracker::_prelimVarCount

private

Definition at line 78 of file StatisticsStrategy.h.

## _subGenSum

mpz_class StatisticsStrategy::StatTracker::_subGenSum

private

Definition at line 82 of file StatisticsStrategy.h.

## _title

string StatisticsStrategy::StatTracker::_title

private

Definition at line 74 of file StatisticsStrategy.h.

## _varSum

mpz_class StatisticsStrategy::StatTracker::_varSum

private

Definition at line 83 of file StatisticsStrategy.h.

The documentation for this struct was generated from the following files:

- src/StatisticsStrategy.h
- src/StatisticsStrategy.cpp